//
//  SmartRulesListView.h
//  SmartRules
//
//  Created by Masatoshi Nishikata on 07/08/10.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SmartRulesListView : NSView {
    IBOutlet id smartRulesListController;
	IBOutlet id table;
	IBOutlet id view;

	int smartRulesDefaultAction;
}
-(void)awakeFromNib;
-(void)tableDoubleClick:(id)sender;
-(BOOL)readUD;
-(void)writeUD;
- (IBAction)add:(id)sender;
- (IBAction)remove:(id)sender;
- (IBAction)edit:(id)sender;
- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void  *)contextInfo;
-(BOOL)tableView:(NSTableView *)tableView ;
-(NSDragOperation)tableView:(NSTableView*)tableView 
			   validateDrop:(id <NSDraggingInfo>)info 
				proposedRow:(int)row 
	  proposedDropOperation:(NSTableViewDropOperation)operation;
-(BOOL)tableView:(NSTableView*)tableView ;
-(void)testThisPath:(NSString*)path;

@end
